org.apache.commons.fileupload

## Class FileUploadBase.IOFileUploadException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.fileupload.FileUploadException
      - - org.apache.commons.fileupload.FileUploadBase.IOFileUploadException

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    FileUploadBase

      public static class FileUploadBase.IOFileUploadException
      extends FileUploadException

  Thrown to indicate an IOException.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IOFileUploadException(String pMsg, IOException pException)` Creates a new instance with the given cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getCause()` Returns the exceptions cause.

    - ### Methods inherited from class org.apache.commons.fileupload.FileUploadException

      `printStackTrace, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IOFileUploadException

          public IOFileUploadException(String pMsg,
                                       IOException pException)

      Creates a new instance with the given cause.
      Parameters:
        `pMsg` - The detail message.
        `pException` - The exceptions cause.

  - ### Method Detail

    - #### getCause

          public Throwable getCause()

      Returns the exceptions cause.
      Overrides:
        `getCause` in class `FileUploadException`
      Returns:
        The exceptions cause, if any, or null.

Copyright © 2002–2017 The Apache Software Foundation. All rights reserved.